GuideLab API

Set per-order assignee/date/notes for a task

Updates assignee, date, or notes on the immutable task row for an order phase.

POST
/production/task-assignments

Updates assignee, date, or notes on the immutable task row for an order phase.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/production/task-assignments" \  -H "Content-Type: application/json" \  -d '{    "orderPhaseTaskId": "string",    "orderId": "string",    "orderPhaseId": "string"  }'
{  "assignment": {    "orderPhaseTaskId": "string",    "orderId": "string",    "orderPhaseId": "string",    "assignedToMemberId": "string",    "scheduledDate": "string",    "notes": "string",    "createdAt": "string",    "updatedAt": "string"  }}